com.microfocus.awm.meta.interfaces

## Interface CGlobalActions

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    CGlobalActionsImpl

      public interface CGlobalActions
      extends AWMObject

  Category for global actions

  The following features are supported:

  - `Global Action`
  See Also:
    `TaurusPackage.getCGlobalActions()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<GlobalAction>` | `getGlobalAction()` Returns the value of the 'Global Action' containment reference list.
    `java.util.Collection<GlobalAction>` | `getGlobalActionSorted()`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGlobalAction

          org.eclipse.emf.common.util.EList<GlobalAction> getGlobalAction()

      Returns the value of the 'Global Action' containment reference list. The list contents are of type `GlobalAction`. Reference from a category to a global action
      Returns:
        the value of the 'Global Action' containment reference list.
      See Also:
        `TaurusPackage.getCGlobalActions_GlobalAction()`

    - #### getGlobalActionSorted

          java.util.Collection<GlobalAction> getGlobalActionSorted()

      Returns:
        the Global Actions sorted by their sequence numbers.

Copyright © 2015 Micro Focus GmbH. All rights reserved.